<?php
include('../conn/conn.php');

$witnessName = $_POST['witness_name'];
$witnessDesignation = $_POST['witness_designation'];
$testimony = $_POST['testimony'];
$rating = $_POST['rating'];

$witnessImageName = $_FILES['witness_image']['name'];
$witnessImageTmpName = $_FILES['witness_image']['tmp_name'];

$target_dir = "../images/";
$target_file = $target_dir . basename($witnessImageName);
$uploadOk = 1;
$imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));

// Check if image file is a valid image
$check = getimagesize($witnessImageTmpName);
if($check === false) {
    $uploadOk = 0;
}

// Check if file already exists
if (file_exists($target_file)) {
    $uploadOk = 0;
}

// Check file size
if ($_FILES["witness_image"]["size"] > 500000) {
    $uploadOk = 0;
}

// Allow only certain image formats
$allowedFormats = ["jpg", "jpeg", "png", "gif"];
if(!in_array($imageFileType, $allowedFormats)) {
    $uploadOk = 0;
}

// Check if $uploadOk is set to 0 by an error
if ($uploadOk == 0) {
    echo " 
    <script>
        alert('Sorry, your file was not uploaded.');
        window.location.href = http://localhost/testimonial-page-manager/;
    </script>
    ";
} else {
    if (move_uploaded_file($witnessImageTmpName, $target_file)) {
        $image = $witnessImageName;

        $stmt = $conn->prepare("INSERT INTO `tbl_testimony` (`tbl_testimony_id`,`image`, `witness_name`, `witness_designation`, `testimony`, `rating`) VALUES (NULL, :image, :witness_name, :witness_designation, :testimony, :rating)");
        $stmt->bindParam(':image', $image);
        $stmt->bindParam(':witness_name', $witnessName);
        $stmt->bindParam(':witness_designation', $witnessDesignation);
        $stmt->bindParam(':testimony', $testimony);
        $stmt->bindParam(':rating', $rating);
        $stmt->execute();

        
        header("location: http://localhost/testimonial-page-manager/");

    } else {
        echo " 
        <script>
            alert('Sorry, there was an error uploading your file.');
            window.location.href = http://localhost/testimonial-page-manager/;
        </script>
        ";
    }
}
?>
